lucene-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Yonik Seeley" <>
Subject Re: Results (Re: Survey: Lucene and Java 1.4 vs. 1.5)
Date Fri, 23 Jun 2006 00:37:22 GMT
On 6/22/06, DM Smith <> wrote:
> I think the place where it will really come into play will be new code.

I wrote some new code recently that uses Java 1.5 (ArrayQueue and
BufferedTokenFilter) that is meant to make it easier to write
TokenFilters that need state (lookahead, etc) to make decisions.  That
needs to be downgraded to 1.4 (among other things) before it can be
committed to Lucene.

Java5 is something you naturally start writing in... at some point it
will be the
same as ANSI C vs K&R ;-)  I just wish they had done more...

-Yonik Solr, the open-source Lucene search server

To unsubscribe, e-mail:
For additional commands, e-mail:

View raw message